Bug 984729 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses on the sock_file wayland-0.
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:838063ad5a1828d86d87f862402...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 16:09 EDT by Serge Pavlovsky
Modified: 2013-10-25 05:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 05:30:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Serge Pavlovsky 2013-07-15 16:09:35 EDT
Description of problem:
probably nautilus under wayland
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses on the sock_file wayland-0.

*****  Plugin catchall (100. confidence) suggests  ***************************

If вы считаете, что totem-video-thumbnailer следует разрешить доступ write к wayland-0 sock_file по умолчанию.
Then рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
чтобы разрешить доступ, выполните:
# grep totem-video-thu /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_tmp_t:s0
Target Objects                wayland-0 [ sock_file ]
Source                        totem-video-thu
Source Path                   /usr/bin/totem-video-thumbnailer
Port                          <Неизвестно>
Host                          (removed)
Source RPM Packages           totem-3.8.2-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-59.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-301.fc19.x86_64 #1 SMP Thu
                              Jul 4 15:10:36 UTC 2013 x86_64 x86_64
Alert Count                   16
First Seen                    2013-07-14 21:39:12 EEST
Last Seen                     2013-07-14 21:39:17 EEST
Local ID                      827cfb69-4363-4bfd-9142-94017d9dafb6

Raw Audit Messages
type=AVC msg=audit(1373827157.482:2242): avc:  denied  { write } for  pid=17082 comm="totem-video-thu" name="wayland-0" dev="tmpfs" ino=5189222 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_tmp_t:s0 tclass=sock_file


type=SYSCALL msg=audit(1373827157.482:2242): arch=x86_64 syscall=connect success=no exit=EACCES a0=3 a1=7fff94e5ab30 a2=1b a3=2 items=0 ppid=16960 pid=17082 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=pts5 comm=totem-video-thu exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: totem-video-thu,thumb_t,user_tmp_t,sock_file,write

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-301.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-07-15 16:50:52 EDT
So wayland-0 is the equivalent of .X11-unix/X0 ?

Note You need to log in before you can comment on or make changes to this bug.